//////////
//Skybox//
//////////

textures/coldwar/skybox
{
	qer_editorimage textures/coldwar/skybox
        nopicmip
	nomipmaps
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm sky
//      q3map_sunExt 1 1 1 60 100 60 3 16
//      q3map_sunExt .3 .6 1 60 60 60 3 16
//      q3map_sunExt .3 .6 1 60 215 100 3 16
//      q3map_sunExt .3 .6 1 60 180 50 3 16
        q3map_sunExt .3 .6 1 60 180 60 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_backsplash 0 0
//      q3map_sunlight 100
        q3map_skylight 40 3
//      q3map_surfacelight 20
        q3map_lightsubdivide 768
	q3map_noFog
	skyparms env/arcn - - //no fog skybox
//	skyparms env/arcn 64 - //skybox + clouds
//	skyparms env/foghull/sky 0 - //fog skybox
//	{
//		map textures/coldwar_sky/clouds_night.tga
//		tcMod scale 4 4
//		tcMod scroll -0.005 -0.0125
//		rgbGen identityLighting
//	}
}

//////////////////
//Slick surfaces//
//////////////////

textures/coldwar/ice
{
        qer_editorimage textures/coldwar/vv_ice.jpg
        surfaceparm slick
	surfaceparm nodamage
        {
		map textures/coldwar/vv_ice.jpg
		rgbgen identity
	}
	{
		map textures/effects/tinfx.tga
		tcGen environment
//		tcmod scale .25 .25
		blendfunc GL_ONE GL_ONE
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}          		

textures/coldwar/roof_slick
{
        surfaceparm slick
        qer_editorimage textures/coldwar/vv_roof.jpg
	{
		map textures/coldwar/vv_roof.jpg
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

/////////////////
//Phong shading//
/////////////////

textures/coldwar/snow_phong
{
//      q3map_lightmapBrightness 0.5
	q3map_lightRGB  1 1 1
	qer_editorimage textures/coldwar/vv_snow_1.jpg
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        q3map_noclip
        q3map_notjunc
	{
		map textures/coldwar/vv_snow_1.jpg
		rgbgen identity
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow2_phong
{
//      q3map_lightmapBrightness 0.5
	q3map_lightRGB  1 1 1
	qer_editorimage textures/coldwar/vv_snow_2.tga
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        q3map_noclip
        q3map_notjunc
	{
		map textures/coldwar/vv_snow_2.tga
		rgbgen identity
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/rock_phong
{
//      q3map_lightmapBrightness 0.5
	q3map_lightRGB  1 1 1
	qer_editorimage textures/coldwar/vv_rock.jpg
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/coldwar/vv_rock.jpg
		rgbgen identity
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/cliff_phong
{
//	q3map_lightRGB  1 1 1
	qer_editorimage textures/coldwar/vv_cliff.jpg
	q3map_nonplanar
	q3map_shadeAngle 90
//	q3map_lightmapaxis z
//      q3map_splotchfix
//	q3map_lightmapsampleoffset 8
	{
		map textures/coldwar/vv_cliff.jpg
		rgbgen identity
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/dirt_phong
{
//      q3map_lightmapBrightness 0.5
	q3map_lightRGB  1 1 1
	qer_editorimage textures/coldwar/vv_dirt.jpg
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/coldwar/vv_dirt.jpg
		rgbgen identity
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/dirt_phong_burned
{
//      q3map_lightmapBrightness 0.5
	q3map_lightRGB  1 1 1
	qer_editorimage textures/coldwar/vv_dirt_burned.jpg
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/coldwar/vv_dirt_burned.jpg
		rgbgen identity
	}
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow_to_snow2
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_snow_1.tga
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_snow_2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow_to_dirt
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_dirt.jpg
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_dirt.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow_to_dirt
{
 //     q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_dirt.jpg
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_dirt.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow2_to_dirt
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_dirt.jpg
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_dirt.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_snow_2.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow_to_rock
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_rock.jpg
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_rock.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
         	rgbGen identity
	}
}

textures/coldwar/snow_to_dirt_burned
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_dirt_burned.jpg
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_splotchfix
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_dirt_burned.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/dirt_to_floor
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_dirt.jpg
	surfaceparm nodamage
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
	q3map_lightmapsampleoffset 8
//      q3map_lightmapmergable
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_floor.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_dirt.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/dirt_to_brick
{
//      q3map_lightmapBrightness 0.5
        qer_editorimage textures/coldwar/vv_et_brick.jpg
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapaxis z
//      q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
        {
                map textures/coldwar/vv_et_brick.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_dirt.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow_to_metal
{
        qer_editorimage textures/coldwar/metal108.jpg
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapsampleoffset 32
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/metal108.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/trak4_concrete4a
{
        qer_editorimage textures/coldwar/trak4_concrete4a.tga
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapsampleoffset 32
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/trak4_concrete4a.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/brick_to_concrete
{
        qer_editorimage textures/coldwar/trak4_concrete1a.tga
	q3map_lightRGB  1 1 1
	q3map_lightmapsampleoffset 8
        {
                map textures/coldwar/vv_et_brick.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/trak4_concrete1a.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/tree_bark_to_snow
{
        qer_editorimage textures/coldwar/vv_tree_bark.jpg
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
	q3map_lightmapsampleoffset 32
        {
                map textures/coldwar/vv_tree_bark.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_snow_1.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/snow_to_concrete
{
        qer_editorimage textures/coldwar/vv_snow_1.jpg
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
        q3map_lightmapmergable
	q3map_lightmapsampleoffset 8
        {
                map textures/coldwar/vv_dmg_wall_conc.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/vv_snow_1.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/trak2_gr82b
{
        qer_editorimage textures/coldwar/trak2_gr82b.tga
	q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 90
        q3map_lightmapmergable
	q3map_lightmapsampleoffset 32
        {
                map textures/coldwar/vv_snow_1.jpg
                rgbGen identity
        }
        {
                map textures/coldwar/trak2_gr82b.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
	{
        	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/concrete_phong
{
	q3map_lightmapsampleoffset 8
        q3map_lightmapmergable
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 90
        q3map_lightmapmergable
        qer_editorimage textures/coldwar/vv_dmg_wall_conc.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coldwar/vv_dmg_wall_conc.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/coldwar/brick_phong
{
	q3map_lightmapsampleoffset 8
//      q3map_lightmapmergable
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 90
        qer_editorimage textures/coldwar/vv_et_brick2.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coldwar/vv_et_brick2.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/coldwar/metal_phong
{
	q3map_lightmapsampleoffset 32
        q3map_lightmapmergable
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 90
        qer_editorimage textures/coldwar/metal108.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coldwar/metal108.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/coldwar/wood_phong
{
	q3map_lightmapsampleoffset 32
        q3map_lightmapmergable
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 90
        qer_editorimage textures/coldwar/vv_et_wood.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coldwar/vv_et_wood.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/coldwar/bunker_phong
{
	q3map_lightmapsampleoffset 32
//      q3map_lightmapmergable
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 90
        qer_editorimage textures/coldwar/trak4_concrete4a.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coldwar/trak4_concrete4a.tga
		alphaFunc GT0
		blendFunc filter
	}
}

///////////////
//Blend marks//
///////////////

textures/coldwar/alpha_000
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/coldwar/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/coldwar/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/coldwar/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/coldwar/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/coldwar/alpha_100
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/coldwar/trak2_light1a
{
	qer_editorimage textures/coldwar/trak2_light1a.tga
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coldwar/trak2_light1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/coldwar/trak2_light1a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

/////////////////////
//Transparent stuff//
/////////////////////

textures/coldwar/sn_as_plant2
{
	qer_editorimage textures/coldwar/sn_as_plant2.tga
	qer_alphafunc greater 0.5
//	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
//	nopicmip
	cull disable
	surfaceparm trans 
//	deformVertexes autoSprite2
	{
		map textures/coldwar/sn_as_plant2.tga
		alphafunc GE128
		rgbGen vertex
	}
}

textures/coldwar/sn_as_plant3
{
	qer_editorimage textures/coldwar/sn_as_plant3.tga
	qer_alphafunc greater 0.5
//	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
//	nopicmip
	cull disable
	surfaceparm trans 
//	deformVertexes autoSprite2
	{
		map textures/coldwar/sn_as_plant3.tga
		alphafunc GE128
		rgbGen vertex
	}
}

textures/coldwar/sn_as_plant4
{
	qer_editorimage textures/coldwar/sn_as_plant4.tga
	qer_alphafunc greater 0.5
//	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
//	nopicmip
	cull disable
	surfaceparm trans 
//	deformVertexes autoSprite2
	{
		map textures/coldwar/sn_as_plant4.tga
		alphafunc GE128
		rgbGen vertex
	}
}

textures/coldwar/vv_et_mesh
{
	qer_editorimage textures/coldwar/vv_et_mesh.tga
	qer_alphafunc greater 0.5
//	surfaceparm alphashadow
        surfaceparm trans
	cull disable
        nomipmaps
	surfaceparm nodamage
	surfaceparm playerclip
	surfaceParm nolightmap
	surfaceParm noimpact
	{
		map textures/coldwar/vv_et_mesh.tga
		alphaFunc GE128
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/coldwar/vv_et_mesh_bltprf
{
	qer_editorimage textures/coldwar/vv_et_mesh.tga
	qer_alphafunc greater 0.5
//	surfaceparm alphashadow
        surfaceparm trans
	cull disable
        nomipmaps
	surfaceParm nolightmap
	{
		map textures/coldwar/vv_et_mesh.tga
		alphaFunc GE128
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/coldwar/vv_barbedwire
{
	qer_editorimage textures/coldwar/vv_barbedwire.tga
	qer_alphafunc greater 0.5
//	surfaceparm alphashadow
        surfaceparm trans
	cull disable
        nomipmaps
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid
	{
		map textures/coldwar/vv_barbedwire.tga
		alphaFunc GE128
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/coldwar/window1
{
        qer_editorimage textures/coldwar/vv_env1.jpg
	qer_alphafunc greater 0.5
	qer_trans 0.75
        cull none
	{
	        map textures/coldwar/vv_env1.jpg
	        blendFunc GL_ONE GL_ONE
	        tcgen environment
	}
	{
             	map textures/coldwar/vv_window.tga
	        alphaFunc GE128
	}
	{
	        map $lightmap rgbGen identity blendFunc filter
	}
}

textures/coldwar/window2
{
        qer_editorimage textures/coldwar/vv_env2.jpg
	qer_alphafunc greater 0.5
	qer_trans 0.75
        cull none
	{
	        map textures/coldwar/vv_env2.jpg
	        blendFunc GL_ONE GL_ONE
	        tcgen environment
	}
	{
             	map textures/coldwar/vv_window.tga
	        alphaFunc GE128
	}
	{
	        map $lightmap rgbGen identity blendFunc filter
	}
}

textures/coldwar/vv_icicles
{
	qer_editorimage textures/coldwar/vv_icicles.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
        nomipmaps
	{
		map textures/coldwar/vv_icicles.tga
	        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/coldwar/vv_web
{
	qer_editorimage textures/coldwar/vv_web.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3	
	{
		map textures/coldwar/vv_web.tga
		blendfunc add
		rgbgen identity
	}
}

textures/coldwar/glass
{	
	qer_editorimage textures/common/invisible.tga
	qer_trans	0.5
	surfaceparm nolightmap
	{
		map textures/effects/tinfx2c.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

////////////////////
//No walljump clip//
////////////////////

textures/coldwar/clip_nokick
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}

//////////
//Decals//
//////////

textures/coldwar/trak_rustdecal1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/coldwar/trak_rustdecal1.tga
		blendfunc filter
	}
}

textures/coldwar/vv_gasmask
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/coldwar/vv_gasmask.jpg
		blendfunc filter
	}
}

textures/coldwar/vv_biohazard
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/coldwar/vv_biohazard.jpg
		blendfunc filter
	}
}

textures/coldwar/keres_decal
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
        sort 6
	nopicmip
	{
		map textures/coldwar/keres_decal.tga
		blendfunc gl_dst_color gl_src_color
	}
}

///////////////
//Shity flame//
///////////////

textures/coldwar/vv_flame
{	
        surfaceparm nomarks
        surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 10000
	q3map_LightRGB 1 .5 0
	{
		map textures/coldwar/vv_flame.jpg
//		tcmod scroll 0.8 2.4
//		tcmod turb 0 0.1 0 1
		rgbgen wave noise 0.4 0.2 0 4
        }
}

//////////////
//1337 flare//
//////////////

textures/coldwar/vv_corona
{
          qer_editorImage textures/coldwar/vv_corona.tga
          deformVertexes autoSprite
          surfaceparm trans
          surfaceparm nomarks
          surfaceparm nonsolid
          surfaceparm nolightmap
          cull none
//        nomipmaps
          sort 9
          {
                 map textures/coldwar/vv_corona.tga
                 blendFunc GL_SRC_ALPHA GL_ONE //flare disappear if You are close to it
//               blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE //flare disappear if You are away from it
                 rgbGen vertex
                 alphaGen portal 700 //distance
          }
}

//////////////
//Nolightmap//
//////////////

textures/coldwar/black_nolightmap
{
        qer_editorimage textures/coldwar/vv_black.jpg
        surfaceparm nolightmap
	surfaceparm nonsolid
        {
                 map textures/coldwar/vv_black.jpg
        }
}

///////////////
//Light block//
///////////////

textures/coldwar/lightblock
{
	qer_editorimage textures/coldwar/lightblock.tga
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}

///////////////////
//Vertex lit wall//
///////////////////

textures/coldwar/vv_et_brick2
{
	qer_editorimage textures/coldwar/vv_et_brick2.jpg
	q3map_vertexscale 4
        surfaceparm pointlight
	{
		map textures/coldwar/vv_et_brick2.jpg
		rgbgen vertex
	}
}

//////////////////////////
//High quality levelshot//
//////////////////////////

levelshots/ut4_coldwar_b5
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_coldwar_b5.tga
        }
}